Установка обновлений спустя 2 года


#1

Друзья, подскажите: у меня WB5 (ещё на wheezy) и последний раз я обновлялся примерно 2 года назад, и тут мне вдруг понадобилась последняя версия wb-mqtt-serial.

Вывод apt-get
# apt-get install -V wb-mqtt-serial wb-mqtt-homeui wb-rules-system
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
   libwebsockets6 (1.6.1-1)
   wb-mqtt-db (1.7.3)
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
   libwbmqtt0 (1.7.2)
   linux-firmware-image-4.9.22-wb2 (4.9+wb20190126112722)
   linux-image-4.9.22-wb2 (4.9+wb20190126112722)
   linux-image-wb2 (4.9+wb20190126112722)
   u-boot-tools-wb (2017.03+wb-2)
   wb-configs (1.80)
   wb-configs-wheezy (1.80)
   wb-utils (2.1.2)
The following packages will be REMOVED:
   u-boot-tools (2017.03+wb-2)
The following NEW packages will be installed:
   linux-firmware-image-4.9.22-wb2 (4.9+wb20190126112722)
   linux-image-4.9.22-wb2 (4.9+wb20190126112722)
   u-boot-tools-wb (2017.03+wb-2)
   wb-configs-wheezy (1.80)
The following packages will be upgraded:
   libwbmqtt0 (1.4.2 => 1.7.2)
   linux-image-wb2 (4.1-imxv5-x0.1+wb20170603200710 => 4.9+wb20190126112722)
   wb-configs (1.73.1 => 1.80)
   wb-mqtt-homeui (1.6.4 => 1.7.1)
   wb-mqtt-serial (1.26.6 => 1.51.0)
   wb-rules-system (1.4 => 1.6.2)
   wb-utils (1.74.2 => 2.1.2)
7 upgraded, 4 newly installed, 1 to remove and 55 not upgraded.

Какова вероятность, что WB превратится в кирпич после перезагрузки? Нахожусь от контроллера почти в 2000 километрах, не хотелось бы внепланово лететь к нему :slight_smile:


назначил(а) ответственного EvgenyBoger #2

#3

@EvgenyBoger могли бы вы посмотреть своим опытным взглядом на то, что мне предлагает apt-get?